Bug 47264 - bad /etc/lilo.conf
Summary: bad /etc/lilo.conf
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-04 09:35 UTC by Gene Czarcinski
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-06 12:12:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
as created by install (390 bytes, text/plain)
2001-07-06 12:11 UTC, Gene Czarcinski
no flags Details
after manually editing to delete last two entries (329 bytes, text/plain)
2001-07-06 12:12 UTC, Gene Czarcinski
no flags Details

Description Gene Czarcinski 2001-07-04 09:35:40 UTC
Description of Problem:
This is related to #47891 but different.

With two ide drives already partitioned with a vfat partitions at hda1 and
hdb1, the /etc/lilo.conf was still bad even after changing the label from
"Red Hat Linux" to "Linux" so that lilo could handle it.  The problem
seemed to be that it wanted to make a boot entry fro hdb1 but with no label
at all.  Formally, having no label removed that entry.

How Reproducible:
always

Steps to Reproduce:
1. have two prepartitioned disks with vfat partitions as the first ones.
2. do an install with lilo as the boot loader and fixing the label
3.

Actual Results:


Expected Results:


Additional Information:

Comment 1 Jeremy Katz 2001-07-06 04:48:44 UTC
Do you still have (or can you get another of) the lilo.conf before and after
fixing it?  If not, can you the after lilo.conf and try to point out the difference?

Comment 2 Gene Czarcinski 2001-07-06 12:09:37 UTC
Without changing the "Red Hat Linux" label, no /etc/lilo.conf is created.

I am attaching fix1 (change label to Linux) and fix2 (manually deleting the last
two entries).

In previous versions, a partition without a label did NOT create an entry in
/etc/lilo.conf.

Comment 3 Gene Czarcinski 2001-07-06 12:11:09 UTC
Created attachment 22847 [details]
as created by install

Comment 4 Gene Czarcinski 2001-07-06 12:12:03 UTC
Created attachment 22848 [details]
after manually editing to delete last two entries

Comment 5 Jeremy Katz 2001-07-06 17:00:22 UTC
Aha, thanks.  Fixed in cvs


Note You need to log in before you can comment on or make changes to this bug.